{ config, lib, pkgs, ... }: {

  imports = [ ../../system/all/tinc.nix ];

  module.cluster.services.tinc = {
    "private" = {
      enable = true;
      openPort = true;
      connectTo = [ ];
    };
    "secret" = {
      enable = true;
      openPort = true;
      connectTo = [ ];
    };
  };

  #sops.secrets.tinc_retiolum_ed25519_key = { };
  #sops.secrets.tinc_retiolum_rsa_key = { };

  users.users."tinc.secret".group = "tinc.secret";
  users.groups."tinc.secret" = { };

}
