{ config, lib, pkgs, ... }: {
  module.cluster.services.tinc = {
    "private" = {
      enable = true;
      openPort = true;
    };
    "secret" = {
      enable = true;
      openPort = true;
    };
  };

  users.users."tinc.secret".group = "tinc.secret";
  users.groups."tinc.secret" = { };

}
