{ config, lib, pkgs, ... }: {

  module.cluster.services.tinc = {
    "private" = {
      enable = true;
      openPort = true;
      connectTo = [ "sputnik" ];
    };
    "retiolum" = {
      enable = true;
      openPort = true;
    };
    "secret" = {
      enable = true;
      openPort = true;
      connectTo = [ "sputnik" ];
    };
  };

  sops.secrets.tinc_retiolum_ed25519_key = { };
  sops.secrets.tinc_retiolum_rsa_key = { };

}
