{ config, pkgs, lib, ... }: {
  services.bitwarden_rs = {
    enable = true;
    config = {
      domain = "https://bitwarden.ingolf-wagner.de";
      signupsAllowed = false;
      rocketPort = 8222;
      rocketLog = "critical";
    };
  };
  backup.dirs = [ "/var/lib/bitwarden_rs" ];
}
